diff --git a/sys/dev/netif/re/re.c b/sys/dev/netif/re/re.c
index dfe6b3a706..16958e8335 100644
--- a/sys/dev/netif/re/re.c
+++ b/sys/dev/netif/re/re.c
@@ -7240,7 +8458,7 @@ static int re_enable_EEE(struct re_softc *sc)
         case MACFG_60:
         case MACFG_68:
         case MACFG_69:
-                MP_WritePhyUshort(sc,0x1F, 0x0B82);
+                MP_WritePhyUshort(sc, 0x1F, 0x0B82);
                 ClearEthPhyBit(sc, 0x10, BIT_4);
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
                 break;
@@ -7344,7 +8562,7 @@ static int re_disable_EEE(struct re_softc *sc)
         case MACFG_50:
         case MACFG_51:
         case MACFG_52:
-                data = re_eri_read(sc,0x1B0 ,4,ERIAR_ExGMAC)& ~0x0003;
+                data = re_eri_read(sc, 0x1B0, 4, ERIAR_ExGMAC)& ~0x0003;
                 re_eri_write(sc, 0x1B0, 4, data, ERIAR_ExGMAC);
                 MP_WritePhyUshort(sc, 0x1F, 0x0005);
                 MP_WritePhyUshort(sc, 0x05, 0x8B85);
@@ -7353,7 +8571,7 @@ static int re_disable_EEE(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x1F, 0x0007);
                 MP_WritePhyUshort(sc, 0x1E, 0x0020);
                 data = MP_ReadPhyUshort(sc, 0x15) & ~0x0100;
-                MP_WritePhyUshort(sc,0x15 , data);
+                MP_WritePhyUshort(sc, 0x15, data);
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
                 MP_WritePhyUshort(sc, 0x0D, 0x0007);
                 MP_WritePhyUshort(sc, 0x0E, 0x003C);
@@ -7365,7 +8583,7 @@ static int re_disable_EEE(struct re_softc *sc)
 
         case MACFG_38:
         case MACFG_39:
-                data = re_eri_read(sc,0x1B0 ,4,ERIAR_ExGMAC);
+                data = re_eri_read(sc, 0x1B0, 4, ERIAR_ExGMAC);
                 data &= ~(BIT_1 | BIT_0);
                 re_eri_write(sc, 0x1B0, 4, data, ERIAR_ExGMAC);
                 MP_WritePhyUshort(sc, 0x1F, 0x0005);
@@ -7399,6 +8617,8 @@ static int re_disable_EEE(struct re_softc *sc)
         case MACFG_67:
         case MACFG_68:
         case MACFG_69:
+        case MACFG_70:
+        case MACFG_71:
                 data = re_eri_read(sc, 0x1B0, 4, ERIAR_ExGMAC);
                 data &= ~(BIT_1 | BIT_0);
                 re_eri_write(sc, 0x1B0, 4, data, ERIAR_ExGMAC);
@@ -7437,7 +8657,7 @@ static int re_disable_EEE(struct re_softc *sc)
                 SetEthPhyBit(sc, 0x10, BIT_4);
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
 
-                MP_WritePhyUshort(sc,0x1F, 0x0B80);
+                MP_WritePhyUshort(sc, 0x1F, 0x0B80);
                 WaitCnt = 0;
                 do {
                         PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
@@ -7475,6 +8695,8 @@ static int re_disable_EEE(struct re_softc *sc)
         case MACFG_61:
         case MACFG_62:
         case MACFG_67:
+        case MACFG_70:
+        case MACFG_71:
                 data = MP_ReadMcuAccessRegWord(sc, 0xE052);
                 data &= ~(BIT_0);
                 MP_WriteMcuAccessRegWord(sc, 0xE052, data);
@@ -7501,7 +8723,7 @@ static int re_disable_EEE(struct re_softc *sc)
         case MACFG_60:
         case MACFG_68:
         case MACFG_69:
-                MP_WritePhyUshort(sc,0x1F, 0x0B82);
+                MP_WritePhyUshort(sc, 0x1F, 0x0B82);
                 ClearEthPhyBit(sc, 0x10, BIT_4);
                 MP_WritePhyUshort(sc, 0x1F, 0x0000);
                 break;
@@ -7535,12 +8757,12 @@ static int re_phy_ram_code_check(struct re_softc *sc)
                 PhyRegValue &= ~(BIT_11);
                 MP_WritePhyUshort(sc, 0x14, PhyRegValue);
 
-                MP_WritePhyUshort(sc,0x1f, 0x0B82);
+                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
                 PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
                 PhyRegValue |= BIT_4;
-                MP_WritePhyUshort(sc,0x10, PhyRegValue);
+                MP_WritePhyUshort(sc, 0x10, PhyRegValue);
 
-                MP_WritePhyUshort(sc,0x1f, 0x0B80);
+                MP_WritePhyUshort(sc, 0x1f, 0x0B80);
                 WaitCnt = 0;
                 do {
                         PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
@@ -7551,7 +8773,7 @@ static int re_phy_ram_code_check(struct re_softc *sc)
                 } while(PhyRegValue != 0x0040 && WaitCnt <1000);
 
                 if (WaitCnt == 1000) {
-                        retval = FALSE ;
+                        retval = FALSE;
                 }
 
                 MP_WritePhyUshort(sc, 0x1f, 0x0A40);
@@ -7578,7 +8800,7 @@ static int re_phy_ram_code_check(struct re_softc *sc)
                 PhyRegValue &= ~(BIT_4);
                 MP_WritePhyUshort(sc, 0x10, PhyRegValue);
 
-                MP_WritePhyUshort(sc,0x1f, 0x0A22);
+                MP_WritePhyUshort(sc, 0x1f, 0x0A22);
                 WaitCnt = 0;
                 do {
                         PhyRegValue = MP_ReadPhyUshort(sc, 0x12);
@@ -7616,12 +8838,12 @@ static int re_phy_ram_code_check(struct re_softc *sc)
                 PhyRegValue |= (BIT_11);
                 MP_WritePhyUshort(sc, 0x14, PhyRegValue);
 
-                MP_WritePhyUshort(sc,0x1f, 0x0B82);
+                MP_WritePhyUshort(sc, 0x1f, 0x0B82);
                 PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
                 PhyRegValue |= BIT_4;
-                MP_WritePhyUshort(sc,0x10, PhyRegValue);
+                MP_WritePhyUshort(sc, 0x10, PhyRegValue);
 
-                MP_WritePhyUshort(sc,0x1f, 0x0B80);
+                MP_WritePhyUshort(sc, 0x1f, 0x0B80);
                 WaitCnt = 0;
                 do {
                         PhyRegValue = MP_ReadPhyUshort(sc, 0x10);
diff --git a/sys/dev/netif/re/re.c b/sys/dev/netif/re/re.c
index dfe6b3a706..16958e8335 100644
--- a/sys/dev/netif/re/re.c
+++ b/sys/dev/netif/re/re.c
@@ -15666,16 +12346,16 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x06, 0xa080);
                 MP_WritePhyUshort(sc, 0x06, 0x02ae);
                 MP_WritePhyUshort(sc, 0x06, 0xf602);
-                MP_WritePhyUshort(sc, 0x06, 0x0118);
-                MP_WritePhyUshort(sc, 0x06, 0x0201);
-                MP_WritePhyUshort(sc, 0x06, 0x2502);
-                MP_WritePhyUshort(sc, 0x06, 0x8090);
-                MP_WritePhyUshort(sc, 0x06, 0x0201);
-                MP_WritePhyUshort(sc, 0x06, 0x4202);
-                MP_WritePhyUshort(sc, 0x06, 0x015c);
+                MP_WritePhyUshort(sc, 0x06, 0x0200);
+                MP_WritePhyUshort(sc, 0x06, 0x0280);
+                MP_WritePhyUshort(sc, 0x06, 0x9002);
+                MP_WritePhyUshort(sc, 0x06, 0x0224);
+                MP_WritePhyUshort(sc, 0x06, 0x0202);
+                MP_WritePhyUshort(sc, 0x06, 0x3402);
+                MP_WritePhyUshort(sc, 0x06, 0x027f);
                 MP_WritePhyUshort(sc, 0x06, 0x0280);
-                MP_WritePhyUshort(sc, 0x06, 0xad02);
-                MP_WritePhyUshort(sc, 0x06, 0x80ca);
+                MP_WritePhyUshort(sc, 0x06, 0xa602);
+                MP_WritePhyUshort(sc, 0x06, 0x80bf);
                 MP_WritePhyUshort(sc, 0x06, 0xe08b);
                 MP_WritePhyUshort(sc, 0x06, 0x88e1);
                 MP_WritePhyUshort(sc, 0x06, 0x8b89);
@@ -15695,25 +12375,25 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x06, 0x01a0);
                 MP_WritePhyUshort(sc, 0x06, 0x00c7);
                 MP_WritePhyUshort(sc, 0x06, 0xaebb);
-                MP_WritePhyUshort(sc, 0x06, 0xd484);
-                MP_WritePhyUshort(sc, 0x06, 0x3ce4);
-                MP_WritePhyUshort(sc, 0x06, 0x8b92);
+                MP_WritePhyUshort(sc, 0x06, 0xee8a);
+                MP_WritePhyUshort(sc, 0x06, 0xe600);
+                MP_WritePhyUshort(sc, 0x06, 0xee8a);
+                MP_WritePhyUshort(sc, 0x06, 0xee03);
+                MP_WritePhyUshort(sc, 0x06, 0xee8a);
+                MP_WritePhyUshort(sc, 0x06, 0xefb8);
+                MP_WritePhyUshort(sc, 0x06, 0xee8a);
+                MP_WritePhyUshort(sc, 0x06, 0xe902);
+                MP_WritePhyUshort(sc, 0x06, 0xee8b);
+                MP_WritePhyUshort(sc, 0x06, 0x8285);
+                MP_WritePhyUshort(sc, 0x06, 0xee8b);
+                MP_WritePhyUshort(sc, 0x06, 0x8520);
+                MP_WritePhyUshort(sc, 0x06, 0xee8b);
+                MP_WritePhyUshort(sc, 0x06, 0x8701);
+                MP_WritePhyUshort(sc, 0x06, 0xd481);
+                MP_WritePhyUshort(sc, 0x06, 0x35e4);
+                MP_WritePhyUshort(sc, 0x06, 0x8b94);
                 MP_WritePhyUshort(sc, 0x06, 0xe58b);
-                MP_WritePhyUshort(sc, 0x06, 0x93ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8ac8);
-                MP_WritePhyUshort(sc, 0x06, 0x03ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8aca);
-                MP_WritePhyUshort(sc, 0x06, 0x60ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8ac0);
-                MP_WritePhyUshort(sc, 0x06, 0x00ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8ac1);
-                MP_WritePhyUshort(sc, 0x06, 0x00ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8abe);
-                MP_WritePhyUshort(sc, 0x06, 0x07ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8abf);
-                MP_WritePhyUshort(sc, 0x06, 0x73ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8a95);
-                MP_WritePhyUshort(sc, 0x06, 0x02bf);
+                MP_WritePhyUshort(sc, 0x06, 0x95bf);
                 MP_WritePhyUshort(sc, 0x06, 0x8b88);
                 MP_WritePhyUshort(sc, 0x06, 0xec00);
                 MP_WritePhyUshort(sc, 0x06, 0x19a9);
@@ -15722,133 +12402,219 @@ static void re_hw_phy_config(struct re_softc *sc)
                 MP_WritePhyUshort(sc, 0x06, 0xfff6);
                 MP_WritePhyUshort(sc, 0x06, 0x00ee);
                 MP_WritePhyUshort(sc, 0x06, 0xfff7);
-                MP_WritePhyUshort(sc, 0x06, 0xfed1);
-                MP_WritePhyUshort(sc, 0x06, 0x00bf);
-                MP_WritePhyUshort(sc, 0x06, 0x85a4);
-                MP_WritePhyUshort(sc, 0x06, 0x0238);
-                MP_WritePhyUshort(sc, 0x06, 0x7dd1);
-                MP_WritePhyUshort(sc, 0x06, 0x01bf);
-                MP_WritePhyUshort(sc, 0x06, 0x85a7);
-                MP_WritePhyUshort(sc, 0x06, 0x0238);
-                MP_WritePhyUshort(sc, 0x06, 0x7d04);
+                MP_WritePhyUshort(sc, 0x06, 0xffe0);
+                MP_WritePhyUshort(sc, 0x06, 0xe140);
+                MP_WritePhyUshort(sc, 0x06, 0xe1e1);
+                MP_WritePhyUshort(sc, 0x06, 0x41f7);
+                MP_WritePhyUshort(sc, 0x06, 0x2ff6);
+                MP_WritePhyUshort(sc, 0x06, 0x28e4);
+                MP_WritePhyUshort(sc, 0x06, 0xe140);
+                MP_WritePhyUshort(sc, 0x06, 0xe5e1);
+                MP_WritePhyUshort(sc, 0x06, 0x4104);
                 MP_WritePhyUshort(sc, 0x06, 0xf8e0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8a);
+                MP_WritePhyUshort(sc, 0x06, 0x8b89);
                 MP_WritePhyUshort(sc, 0x06, 0xad20);
-                MP_WritePhyUshort(sc, 0x06, 0x14ee);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8a);
+                MP_WritePhyUshort(sc, 0x06, 0x0dee);
+                MP_WritePhyUshort(sc, 0x06, 0x8b89);
                 MP_WritePhyUshort(sc, 0x06, 0x0002);
-                MP_WritePhyUshort(sc, 0x06, 0x204b);
-                MP_WritePhyUshort(sc, 0x06, 0xe0e4);
-                MP_WritePhyUshort(sc, 0x06, 0x26e1);
-                MP_WritePhyUshort(sc, 0x06, 0xe427);
-                MP_WritePhyUshort(sc, 0x06, 0xeee4);
-                MP_WritePhyUshort(sc, 0x06, 0x2623);
-                MP_WritePhyUshort(sc, 0x06, 0xe5e4);
-                MP_WritePhyUshort(sc, 0x06, 0x27fc);
-                MP_WritePhyUshort(sc, 0x06, 0x04f8);
-                MP_WritePhyUshort(sc, 0x06, 0xe08b);
-                MP_WritePhyUshort(sc, 0x06, 0x8dad);
-                MP_WritePhyUshort(sc, 0x06, 0x2014);
-                MP_WritePhyUshort(sc, 0x06, 0xee8b);
-                MP_WritePhyUshort(sc, 0x06, 0x8d00);
-                MP_WritePhyUshort(sc, 0x06, 0xe08a);
-                MP_WritePhyUshort(sc, 0x06, 0x5a78);
-                MP_WritePhyUshort(sc, 0x06, 0x039e);
-                MP_WritePhyUshort(sc, 0x06, 0x0902);
-                MP_WritePhyUshort(sc, 0x06, 0x05e8);
-                MP_WritePhyUshort(sc, 0x06, 0x0281);
-                MP_WritePhyUshort(sc, 0x06, 0x4f02);
-                MP_WritePhyUshort(sc, 0x06, 0x326c);
+                MP_WritePhyUshort(sc, 0x06, 0x82f4);
+                MP_WritePhyUshort(sc, 0x06, 0x021f);
+                MP_WritePhyUshort(sc, 0x06, 0x4102);
+                MP_WritePhyUshort(sc, 0x06, 0x2812);
                 MP_WritePhyUshort(sc, 0x06, 0xfc04);
                 MP_WritePhyUshort(sc, 0x06, 0xf8e0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
+                MP_WritePhyUshort(sc, 0x06, 0x8b8d);
                 MP_WritePhyUshort(sc, 0x06, 0xad20);
-                MP_WritePhyUshort(sc, 0x06, 0x1df6);
-                MP_WritePhyUshort(sc, 0x06, 0x20e4);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0x022f);
-                MP_WritePhyUshort(sc, 0x06, 0x0902);
-                MP_WritePhyUshort(sc, 0x06, 0x2ab0);
-                MP_WritePhyUshort(sc, 0x06, 0x0285);
-                MP_WritePhyUshort(sc, 0x06, 0x1602);
-                MP_WritePhyUshort(sc, 0x06, 0x03ba);
-                MP_WritePhyUshort(sc, 0x06, 0x0284);
-                MP_WritePhyUshort(sc, 0x06, 0xe502);
-                MP_WritePhyUshort(sc, 0x06, 0x2df1);
-                MP_WritePhyUshort(sc, 0x06, 0x0283);
-                MP_WritePhyUshort(sc, 0x06, 0x8302);
-                MP_WritePhyUshort(sc, 0x06, 0x0475);
+                MP_WritePhyUshort(sc, 0x06, 0x10ee);
+                MP_WritePhyUshort(sc, 0x06, 0x8b8d);
+                MP_WritePhyUshort(sc, 0x06, 0x0002);
+                MP_WritePhyUshort(sc, 0x06, 0x139d);
+                MP_WritePhyUshort(sc, 0x06, 0x0281);
+                MP_WritePhyUshort(sc, 0x06, 0xd602);
+                MP_WritePhyUshort(sc, 0x06, 0x1f99);
+                MP_WritePhyUshort(sc, 0x06, 0x0227);
+                MP_WritePhyUshort(sc, 0x06, 0xeafc);
+                MP_WritePhyUshort(sc, 0x06, 0x04f8);
                 MP_WritePhyUshort(sc, 0x06, 0xe08b);
                 MP_WritePhyUshort(sc, 0x06, 0x8ead);
-                MP_WritePhyUshort(sc, 0x06, 0x210b);
-                MP_WritePhyUshort(sc, 0x06, 0xf621);
+                MP_WritePhyUshort(sc, 0x06, 0x2014);
+                MP_WritePhyUshort(sc, 0x06, 0xf620);
                 MP_WritePhyUshort(sc, 0x06, 0xe48b);
                 MP_WritePhyUshort(sc, 0x06, 0x8e02);
-                MP_WritePhyUshort(sc, 0x06, 0x83f8);
-                MP_WritePhyUshort(sc, 0x06, 0x021c);
-                MP_WritePhyUshort(sc, 0x06, 0x99e0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
+                MP_WritePhyUshort(sc, 0x06, 0x8104);
+                MP_WritePhyUshort(sc, 0x06, 0x021b);
+                MP_WritePhyUshort(sc, 0x06, 0xf402);
+                MP_WritePhyUshort(sc, 0x06, 0x2c9c);
+                MP_WritePhyUshort(sc, 0x06, 0x0281);
+                MP_WritePhyUshort(sc, 0x06, 0x7902);
+                MP_WritePhyUshort(sc, 0x06, 0x8443);
                 MP_WritePhyUshort(sc, 0x06, 0xad22);
-                MP_WritePhyUshort(sc, 0x06, 0x08f6);
+                MP_WritePhyUshort(sc, 0x06, 0x11f6);
                 MP_WritePhyUshort(sc, 0x06, 0x22e4);
                 MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0x0235);
-                MP_WritePhyUshort(sc, 0x06, 0x63e0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0xad23);
-                MP_WritePhyUshort(sc, 0x06, 0x08f6);
-                MP_WritePhyUshort(sc, 0x06, 0x23e4);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0x0231);
-                MP_WritePhyUshort(sc, 0x06, 0x57e0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0xad24);
-                MP_WritePhyUshort(sc, 0x06, 0x05f6);
-                MP_WritePhyUshort(sc, 0x06, 0x24e4);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0xe08b);
-                MP_WritePhyUshort(sc, 0x06, 0x8ead);
-                MP_WritePhyUshort(sc, 0x06, 0x2505);
-                MP_WritePhyUshort(sc, 0x06, 0xf625);
-                MP_WritePhyUshort(sc, 0x06, 0xe48b);
-                MP_WritePhyUshort(sc, 0x06, 0x8ee0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0xad26);
-                MP_WritePhyUshort(sc, 0x06, 0x08f6);
-                MP_WritePhyUshort(sc, 0x06, 0x26e4);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
-                MP_WritePhyUshort(sc, 0x06, 0x022d);
-                MP_WritePhyUshort(sc, 0x06, 0x1ce0);
+                MP_WritePhyUshort(sc, 0x06, 0x022c);
+                MP_WritePhyUshort(sc, 0x06, 0x4602);
+                MP_WritePhyUshort(sc, 0x06, 0x2ac5);
+                MP_WritePhyUshort(sc, 0x06, 0x0229);
+                MP_WritePhyUshort(sc, 0x06, 0x2002);
+                MP_WritePhyUshort(sc, 0x06, 0x2b91);
+                MP_WritePhyUshort(sc, 0x06, 0xad25);
+                MP_WritePhyUshort(sc, 0x06, 0x11f6);
+                MP_WritePhyUshort(sc, 0x06, 0x25e4);
                 MP_WritePhyUshort(sc, 0x06, 0x8b8e);
+                MP_WritePhyUshort(sc, 0x06, 0x0284);
+                MP_WritePhyUshort(sc, 0x06, 0xe202);
+                MP_WritePhyUshort(sc, 0x06, 0x043a);
+                MP_WritePhyUshort(sc, 0x06, 0x021a);
+                MP_WritePhyUshort(sc, 0x06, 0x5902);
+                MP_WritePhyUshort(sc, 0x06, 0x2bfc);
+                MP_WritePhyUshort(sc, 0x06, 0xfc04);
+                MP_WritePhyUshort(sc, 0x06, 0xf8fa);
+                MP_WritePhyUshort(sc, 0x06, 0xef69);
+                MP_WritePhyUshort(sc, 0x06, 0xe0e0);
+                MP_WritePhyUshort(sc, 0x06, 0x00e1);
+                MP_WritePhyUshort(sc, 0x06, 0xe001);
                 MP_WritePhyUshort(sc, 0x06, 0xad27);
-                MP_WritePhyUshort(sc, 0x06, 0x05f6);
-                MP_WritePhyUshort(sc, 0x06, 0x27e4);
-                MP_WritePhyUshort(sc, 0x06, 0x8b8e);
+                MP_WritePhyUshort(sc, 0x06, 0x1fd1);
+                MP_WritePhyUshort(sc, 0x06, 0x01bf);
+                MP_WritePhyUshort(sc, 0x06, 0x8638);
+                MP_WritePhyUshort(sc, 0x06, 0x022f);
+                MP_WritePhyUshort(sc, 0x06, 0x50e0);
+                MP_WritePhyUshort(sc, 0x06, 0xe020);
+                MP_WritePhyUshort(sc, 0x06, 0xe1e0);
+                MP_WritePhyUshort(sc, 0x06, 0x21ad);
+                MP_WritePhyUshort(sc, 0x06, 0x200e);
+                MP_WritePhyUshort(sc, 0x06, 0xd100);
+                MP_WritePhyUshort(sc, 0x06, 0xbf86);
+                MP_WritePhyUshort(sc, 0x06, 0x3802);
+                MP_WritePhyUshort(sc, 0x06, 0x2f50);
+                MP_WritePhyUshort(sc, 0x06, 0xbf3d);
+                MP_WritePhyUshort(sc, 0x06, 0x3902);
+                MP_WritePhyUshort(sc, 0x06, 0x2eb0);
+                MP_WritePhyUshort(sc, 0x06, 0xef96);
+                MP_WritePhyUshort(sc, 0x06, 0xfefc);
+                MP_WritePhyUshort(sc, 0x06, 0x0402);
+                MP_WritePhyUshort(sc, 0x06, 0x8591);
+                MP_WritePhyUshort(sc, 0x06, 0x0281);
+                MP_WritePhyUshort(sc, 0x06, 0x3c05);
+                MP_WritePhyUshort(sc, 0x06, 0xf8fa);
+                MP_WritePhyUshort(sc, 0x06, 0xef69);
+                MP_WritePhyUshort(sc, 0x06, 0xe0e2);
+                MP_WritePhyUshort(sc, 0x06, 0xfee1);
+                MP_WritePhyUshort(sc, 0x06, 0xe2ff);
+                MP_WritePhyUshort(sc, 0x06, 0xad2d);
+                MP_WritePhyUshort(sc, 0x06, 0x1ae0);
+                MP_WritePhyUshort(sc, 0x06, 0xe14e);
+                MP_WritePhyUshort(sc, 0x06, 0xe1e1);
+                MP_WritePhyUshort(sc, 0x06, 0x4fac);
+                MP_WritePhyUshort(sc, 0x06, 0x2d22);
+                MP_WritePhyUshort(sc, 0x06, 0xf603);
                 MP_WritePhyUshort(sc, 0x06, 0x0203);
-                MP_WritePhyUshort(sc, 0x06, 0x80fc);
+                MP_WritePhyUshort(sc, 0x06, 0x36f7);
+                MP_WritePhyUshort(sc, 0x06, 0x03f7);
+                MP_WritePhyUshort(sc, 0x06, 0x06bf);
+                MP_WritePhyUshort(sc, 0x06, 0x8622);
+                MP_WritePhyUshort(sc, 0x06, 0x022e);
+                MP_WritePhyUshort(sc, 0x06, 0xb0ae);
+                MP_WritePhyUshort(sc, 0x06, 0x11e0);
+                MP_WritePhyUshort(sc, 0x06, 0xe14e);
+                MP_WritePhyUshort(sc, 0x06, 0xe1e1);
+                MP_WritePhyUshort(sc, 0x06, 0x4fad);
+                MP_WritePhyUshort(sc, 0x06, 0x2d08);
+                MP_WritePhyUshort(sc, 0x06, 0xbf86);
+                MP_WritePhyUshort(sc, 0x06, 0x2d02);
+                MP_WritePhyUshort(sc, 0x06, 0x2eb0);
+                MP_WritePhyUshort(sc, 0x06, 0xf606);
+                MP_WritePhyUshort(sc, 0x06, 0xef96);
+                MP_WritePhyUshort(sc, 0x06, 0xfefc);
                 MP_WritePhyUshort(sc, 0x06, 0x04f8);
-                MP_WritePhyUshort(sc, 0x06, 0xf9e0);
+                MP_WritePhyUshort(sc, 0x06, 0xf9fa);
+                MP_WritePhyUshort(sc, 0x06, 0xef69);
+                MP_WritePhyUshort(sc, 0x06, 0xe08b);
+                MP_WritePhyUshort(sc, 0x06, 0x87ad);
+                MP_WritePhyUshort(sc, 0x06, 0x204c);
+                MP_WritePhyUshort(sc, 0x06, 0xd200);
+                MP_WritePhyUshort(sc, 0x06, 0xe0e2);
+                MP_WritePhyUshort(sc, 0x06, 0x0058);
+                MP_WritePhyUshort(sc, 0x06, 0x010c);
+                MP_WritePhyUshort(sc, 0x06, 0x021e);
+                MP_WritePhyUshort(sc, 0x06, 0x20e0);
+                MP_WritePhyUshort(sc, 0x06, 0xe000);
+                MP_WritePhyUshort(sc, 0x06, 0x5810);
+                MP_WritePhyUshort(sc, 0x06, 0x1e20);
+                MP_WritePhyUshort(sc, 0x06, 0xe0e0);
+                MP_WritePhyUshort(sc, 0x06, 0x3658);
+                MP_WritePhyUshort(sc, 0x06, 0x031e);
+                MP_WritePhyUshort(sc, 0x06, 0x20e0);
+                MP_WritePhyUshort(sc, 0x06, 0xe022);
+                MP_WritePhyUshort(sc, 0x06, 0xe1e0);
+                MP_WritePhyUshort(sc, 0x06, 0x2358);
+                MP_WritePhyUshort(sc, 0x06, 0xe01e);
+                MP_WritePhyUshort(sc, 0x06, 0x20e0);
+                MP_WritePhyUshort(sc, 0x06, 0x8ae6);
+                MP_WritePhyUshort(sc, 0x06, 0x1f02);
+                MP_WritePhyUshort(sc, 0x06, 0x9e22);
+                MP_WritePhyUshort(sc, 0x06, 0xe68a);
+                MP_WritePhyUshort(sc, 0x06, 0xe6ad);
+                MP_WritePhyUshort(sc, 0x06, 0x3214);
+                MP_WritePhyUshort(sc, 0x06, 0xad34);
+                MP_WritePhyUshort(sc, 0x06, 0x11ef);
+                MP_WritePhyUshort(sc, 0x06, 0x0258);
+                MP_WritePhyUshort(sc, 0x06, 0x039e);
+                MP_WritePhyUshort(sc, 0x06, 0x07ad);
+                MP_WritePhyUshort(sc, 0x06, 0x3508);
+                MP_WritePhyUshort(sc, 0x06, 0x5ac0);
+                MP_WritePhyUshort(sc, 0x06, 0x9f04);
+                MP_WritePhyUshort(sc, 0x06, 0xd101);
+                MP_WritePhyUshort(sc, 0x06, 0xae02);
+                MP_WritePhyUshort(sc, 0x06, 0xd100);
+                MP_WritePhyUshort(sc, 0x06, 0xbf86);
+                MP_WritePhyUshort(sc, 0x06, 0x3e02);
+                MP_WritePhyUshort(sc, 0x06, 0x2f50);
+                MP_WritePhyUshort(sc, 0x06, 0xef96);
+                MP_WritePhyUshort(sc, 0x06, 0xfefd);
+                MP_WritePhyUshort(sc, 0x06, 0xfc04);
+                MP_WritePhyUshort(sc, 0x06, 0xf8f9);
+                MP_WritePhyUshort(sc, 0x06, 0xfae0);
                 MP_WritePhyUshort(sc, 0x06, 0x8b81);
                 MP_WritePhyUshort(sc, 0x06, 0xac26);
-                MP_WritePhyUshort(sc, 0x06, 0x1ae0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b81);
-                MP_WritePhyUshort(sc, 0x06, 0xac21);
-                MP_WritePhyUshort(sc, 0x06, 0x14e0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b85);
-                MP_WritePhyUshort(sc, 0x06, 0xac20);
                 MP_WritePhyUshort(sc, 0x06, 0x0ee0);
-                MP_WritePhyUshort(sc, 0x06, 0x8b85);
-                MP_WritePhyUshort(sc, 0x06, 0xac23);
+                MP_WritePhyUshort(sc, 0x06, 0x8b81);
+                MP_WritePhyUshort(sc, 0x06, 0xac21);
                 MP_WritePhyUshort(sc, 0x06, 0x08e0);
                 MP_WritePhyUshort(sc, 0x06, 0x8b87);
                 MP_WritePhyUshort(sc, 0x06, 0xac24);
                 MP_WritePhyUshort(sc, 0x06, 0x02ae);
-                MP_WritePhyUshort(sc, 0x06, 0x3802);
-                MP_WritePhyUshort(sc, 0x06, 0x1ac2);
-                MP_WritePhyUshort(sc, 0x06, 0xeee4);
-                MP_WritePhyUshort(sc, 0x06, 0x1c04);
-                MP_WritePhyUshort(sc, 0x06, 0xeee4);
-                MP_WritePhyUshort(sc, 0x06, 0x1d04);
+                MP_WritePhyUshort(sc, 0x06, 0x6bee);
+                MP_WritePhyUshort(sc, 0x06, 0xe0ea);
+                MP_WritePhyUshort(sc, 0x06, 0x00ee);
+                MP_WritePhyUshort(sc, 0x06, 0xe0eb);
+                MP_WritePhyUshort(sc, 0x06, 0x00e2);
+                MP_WritePhyUshort(sc, 0x06, 0xe07c);
+                MP_WritePhyUshort(sc, 0x06, 0xe3e0);
+                MP_WritePhyUshort(sc, 0x06, 0x7da5);
+                MP_WritePhyUshort(sc, 0x06, 0x1111);
+                MP_WritePhyUshort(sc, 0x06, 0x15d2);
+                MP_WritePhyUshort(sc, 0x06, 0x60d6);
+                MP_WritePhyUshort(sc, 0x06, 0x6666);
+                MP_WritePhyUshort(sc, 0x06, 0x0207);
+                MP_WritePhyUshort(sc, 0x06, 0xf9d2);
+                MP_WritePhyUshort(sc, 0x06, 0xa0d6);
+                MP_WritePhyUshort(sc, 0x06, 0xaaaa);
+                MP_WritePhyUshort(sc, 0x06, 0x0207);
+                MP_WritePhyUshort(sc, 0x06, 0xf902);
+                MP_WritePhyUshort(sc, 0x06, 0x825c);
+                MP_WritePhyUshort(sc, 0x06, 0xae44);
+                MP_WritePhyUshort(sc, 0x06, 0xa566);
+                MP_WritePhyUshort(sc, 0x06, 0x6602);
+                MP_WritePhyUshort(sc, 0x06, 0xae38);
+                MP_WritePhyUshort(sc, 0x06, 0xa5aa);
+                MP_WritePhyUshort(sc, 0x06, 0xaa02);
+                MP_WritePhyUshort(sc, 0x06, 0xae32);
+                MP_WritePhyUshort(sc, 0x06, 0xeee0);
+                MP_WritePhyUshort(sc, 0x06, 0xea04);
+                MP_WritePhyUshort(sc, 0x06, 0xeee0);
+                MP_WritePhyUshort(sc, 0x06, 0xeb06);
                 MP_WritePhyUshort(sc, 0x06, 0xe2e0);
                 MP_WritePhyUshort(sc, 0x06, 0x7ce3);
                 MP_WritePhyUshort(sc, 0x06, 0xe07d);
